0

The link from Apple's support page redirects to the Mac App Store but upon clicking download you're met with an error message saying you "This version of OS X can't be installed on the computer" Note: I've tried 4 different MacBook Pro TouchBar but none will download it. I'm only looking to download El Capitan so I can create a USB installer for an older Mac. Download Error

  • First macOS with touch bar support was 10.12(.1?)! Use another Mac which is supported by 10.11(.6) to d/l ElCap. – klanomath Feb 26 '18 at 14:36
  • You don't get it, I'm on a TouchBar and looking to download El Capitan for a separate purpose described above. – Maximus Feb 26 '18 at 14:38
  • ¿I don't get it? You can't run/install (which leads to: obviously can't d/l) ElCap on your MBP Touch Bar (e.g. MBP TB late 2016 requires 10.12.1). Related: Download El Capitan Installer now that Sierra is out – klanomath Feb 26 '18 at 14:47
  • Don't leave us wondering! How old a Mac? What model? Is the older Mac current running a version of OS X? We need details! – David Anderson Feb 26 '18 at 15:58
1

If the older Mac has a recovery partition, there are three different key combinations you can use to select different O.S. versions to install from internet.

If it doesn't have a recovery partition, you might still be able to use Internet recovery.

0

I was able to over come this issue by creating a recovery partition on a USB stick and booting up the old Mac using this USB stick and installing and old version of OS X on the 2011 MacBook Pro Here’s where to create the Recovery Disk from Recovery Disk Assistant

-1

Macs use a different boot medium than HP/Dell/Lenovo/etc BIOS. This boot chip technology knows the minimum OSX it can run and cannot run or apparently even download an earlier version.

Apple support can sometimes give a special download code to bypass normal limitations.

Also, the AppStore will only keep the current OSX for ready download, unless you downloaded an earlier version while it was still available. If you did download it whie it was current it is under the "previous purchases" menu option.

  • What are you on about? – Maximus Feb 26 '18 at 18:34
  • I don't know whether it can run it, but it CAN download it. It's the App Store that is refusing to allow it. – WGroleau Aug 5 '18 at 1:42

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .